Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 469210 - AMO Update 12/11
: AMO Update 12/11
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- minor (vote)
: ---
Assigned To: chizu
: matthew zeier [:mrz]
Depends on:
  Show dependency treegraph
Reported: 2008-12-11 14:14 PST by Michael Morgan [:morgamic]
Modified: 2013-10-09 10:29 PDT (History)
7 users (show)
mzeier: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)

Log of the updates made (11.34 KB, text/plain)
2008-12-11 20:27 PST, chizu
no flags Details

Description Michael Morgan [:morgamic] 2008-12-11 14:14:39 PST
AMO update has to go out tonight for the 4.0.4 release.  More info to follow.
Comment 1 Stephen Donner [:stephend] 2008-12-11 14:25:13 PST
We should consider what to do with bug 466580 and its ilk, which are currently in on trunk.
Comment 2 Wil Clouser [:clouserw] 2008-12-11 14:48:49 PST
IT will need to add a line to the parse_logs cronjob with type=collections.  If you show me the current cron script I can be more specific.

I also need to know what logs will be available to the script the first time it runs.  It will backfill as many as exist but if the logs have been rotated out since collections started we'll have to file another bug and run the script manually on those logs.
Comment 3 Wil Clouser [:clouserw] 2008-12-11 15:16:34 PST
CCing drolo to keep him in the loop.  Once this bug is resolved your stats should be available.
Comment 4 Michael Morgan [:morgamic] 2008-12-11 17:19:20 PST

Those need to be run on prod.
Comment 5 Jeremy Orem [:oremj] 2008-12-11 17:32:40 PST
Examples of other scripts:
/usr/bin/php -f parse_logs.php logs=/data/stats/logs/im-log01/ temp=/tmp type=downloads geo=SJ
/usr/bin/php -f parse_logs.php logs=/data/stats/logs/nladm01/ temp=/tmp type=downloads geo=NL
/usr/bin/php -f parse_logs.php logs=/data/stats/logs/im-log01/ geo=SJ2 temp=/tmp type=updatepings date=$SJ_DATE
Comment 6 Wil Clouser [:clouserw] 2008-12-11 17:38:46 PST
These should be added:

/usr/bin/php -f parse_logs.php logs=/data/stats/logs/im-log01/ temp=/tmp type=collections geo=SJ
/usr/bin/php -f parse_logs.php logs=/data/stats/logs/nladm01/ temp=/tmp type=collections geo=NL
Comment 7 Michael Morgan [:morgamic] 2008-12-11 18:47:03 PST
Stuff is tagged at r20760 and ready to go.
Comment 8 chizu 2008-12-11 20:27:46 PST
Created attachment 352666 [details]
Log of the updates made
Comment 9 chizu 2008-12-11 20:30:42 PST
Pushed to production and SQL updates run. Stats script updated and added comment #6 to cron to run daily an hour after the existing stats run.
Comment 10 Stephen Donner [:stephend] 2008-12-20 14:04:55 PST
Verified FIXED; we're live.

Note You need to log in before you can comment on or make changes to this bug.